<%@LANGUAGE=JScript %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Marblecore Imaging ASP JScript Example</title>
</head>
<body>
<h1>Marblecore Imaging ASP JScript Example</h1>

This example shows how to use the Marblecore Imaging ATL component in ASP. To display the images the <a href="http://www.marblecore.com/documentation/imaging/methods/savetobase64/" target="_blank">SaveToBase64</a> method is used to embed images directly in the HTML page.

<%
	try {
		var pImaging = Server.CreateObject("Marblecore.Imaging");
		var sImage = Server.MapPath("example.jpg");

		// Have a license? Uncomment the following line and supply your product key and license code...
		//pImaging.LicenseVerify("<Product key>", "<License code>");

		// Load the specified image
		if (pImaging && pImaging.LoadFromFile(sImage)) {

%><div>&nbsp;</div><div><b>Original image (inserted using base64 embedding):</b></div><div><img src="data:<%=pImaging.MIME%>;base64,<%=pImaging.SaveToBase64()%>" alt="Base64 encoded image" width="<%=pImaging.Width%>" height="<%=pImaging.Height%>" /></div><%

			// Create a thumbnail and embed the result image
			pImaging.Thumbnail(200, 200, "Skew3D");

%><div>&nbsp;</div><div><b>Thumbnail with effect:</b></div><div><img src="data:<%=pImaging.MIME%>;base64,<%=pImaging.SaveToBase64()%>" alt="Base64 encoded image" width="<%=pImaging.Width%>" height="<%=pImaging.Height%>" /></div><%

			// Reload the original image, apply the Oilpaint filter and embed the result image
			pImaging.LoadFromFile(pImaging.FilePath);
			pImaging.FilterOilPaint();

%><div>&nbsp;</div><div><b>Oilpaint filter:</b></div><div><img src="data:<%=pImaging.MIME%>;base64,<%=pImaging.SaveToBase64()%>" alt="Base64 encoded image" width="<%=pImaging.Width%>" height="<%=pImaging.Height%>" /></div><%
		}
	} catch(e) {
		Response.Write("Marblecore Imaging is not installed!");
	}
%>

</body>
</html>
